Skip to main content
POST
/
ai
/
threads
/
{thread_id}
/
update
Update thread
curl --request POST \
  --url https://api.wacht.dev/ai/threads/{thread_id}/update \
  --header 'Content-Type: multipart/form-data' \
  --cookie __session= \
  --form 'title=<string>' \
  --form 'agent_id=<string>' \
  --form 'system_instructions=<string>'
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deployment_id": "<string>",
    "actor_id": "<string>",
    "project_id": "<string>",
    "project_name": "<string>",
    "agent_id": "<string>",
    "title": "<string>",
    "thread_purpose": "<string>",
    "responsibility": "<string>",
    "reusable": true,
    "accepts_assignments": true,
    "capability_tags": [
      "<string>"
    ],
    "last_activity_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "system_instructions": "<string>",
    "execution_state": {},
    "metadata": {},
    "archived_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

thread_id
string
required

Body

multipart/form-data
title
string
agent_id
string
system_instructions
string

Response

200 - application/json

Updated thread

status
integer
message
string
session
object
errors
object[]
data
object